RootLogger (Apache Log4j 1.2.17 API)
Date: 2012-05-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.spi
Class RootLogger

    java.lang.Object
      org.apache.log4j.Category
          org.apache.log4j.Logger
              org.apache.log4j.spi.RootLogger

All Implemented Interfaces:
  AppenderAttachable

    public final class RootLogger

extends Logger

RootLogger sits at the top of the logger hierachy. It is a regular logger except that it provides several guarantees.

First, it cannot be assigned a `null` level. Second, since root logger cannot have a parent, the `getChainedLevel()` method always returns the value of the level field without walking the hierarchy.

Author:
  Ceki Gülcü

Field Summary

Fields inherited from class org.apache.log4j.Category
`additive, level, name, parent, repository, resourceBundle`

Constructor Summary
`RootLogger(Level level)` The root logger names itself as "root".

Method Summary
`Level` | `getChainedLevel()` Return the assigned level value without walking the logger hierarchy.
`void` | `setLevel(Level level)` Setting a null value to the level of the root logger may have catastrophic results.

Methods inherited from class org.apache.log4j.Logger
`getLogger, getLogger, getLogger, getRootLogger, isTraceEnabled, trace, trace`

Methods inherited from class org.apache.log4j.Category
`addAppender, assertLog, callAppenders, debug, debug, error, error, exists, fatal, fatal, forcedLog, getAdditivity, getAllAppenders, getAppender, getChainedPriority, getCurrentCategories, getDefaultHierarchy, getEffectiveLevel, getHierarchy, getInstance, getInstance, getLevel, getLoggerRepository, getName, getParent, getPriority, getResourceBundle, getResourceBundleString, getRoot, info, info, isAttached, isDebugEnabled, isEnabledFor, isInfoEnabled, l7dlog, l7dlog, log, log, log, removeAllAppenders, removeAppender, removeAppender, setAdditivity, setPriority, setResourceBundle, shutdown, warn, warn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RootLogger

    public RootLogger(Level level)

  The root logger names itself as "root". However, the root logger cannot be retrieved by name.

Method Detail

### getChainedLevel

    public final Level getChainedLevel()

  Return the assigned level value without walking the logger hierarchy.

### setLevel

    public final void setLevel(Level level)

  Setting a null value to the level of the root logger may have catastrophic results. We prevent this here.

  Overrides:
    `setLevel` in class `Category`
  Since:
    0.8.3

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2012 Apache Software Foundation. All Rights Reserved.